Name:           python-pyxdameraulevenshtein
Version:        1.7.1
Release:    1%{?dist}
Summary:        Damerau-Levenshtein (DL) edit distance algorithm

License:        BSD-3-Clause
URL:            https://github.com/lanl/pyxDamerauLevenshtein
Source0:         %{url}/archive/v%{version}/pyxDamerauLevenshtein-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  gcc

BuildRequires:  dos2unix

BuildRequires:  %{py3_dist Cython}

BuildRequires:  %{py3_dist pytest}

%global common_description %{expand:
pyxDamerauLevenshtein implements the Damerau-Levenshtein (DL) edit distance
algorithm for Python in Cython for high performance.}

%description %{common_description}


%package -n python3-pyxdameraulevenshtein
Summary:        %{summary}

%description -n python3-pyxdameraulevenshtein %{common_description}


%prep
%autosetup -n pyxDamerauLevenshtein-%{version}

find . -type f -exec grep -FrinIl 'Generated by Cython' '{}' '+' |
  xargs -r -t rm -v

dos2unix --keepdate CHANGES.md


%generate_buildrequires
%pyproject_buildrequires


%build
%{python3} -m cython pyxdameraulevenshtein/*.pyx
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyxdameraulevenshtein


%check
%pytest -v


%files -n python3-pyxdameraulevenshtein -f %{pyproject_files}
%doc CHANGES.md
%doc README.md


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.1-1
- initial build
